# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Scalar/Quote.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.001005
%define module_name Scalar-Constant
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001005
Release: alt1
Summary: lightweight constant scalars. 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AR/ARUNBEAR/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module gives you a simple way to define constant scalars. Unlike the constants created 
with the constant manpage, these can be interpolated into strings and used as hash keys.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/S*

%changelog
* Tue Sep 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.001005-alt1
- initial import by package builder

